import os

from fastapi import FastAPI
from fastapi.middleware.cors import CORSMiddleware

from .api import other, game
from .db import init_db

app = FastAPI()

app.include_router(other)
app.include_router(game, prefix="/game")


app.add_middleware(
    CORSMiddleware,
    allow_origins=["http://localhost:3000", "https://kirkleon.ddns.net", "https://hiram.services"],
    allow_methods=["*"],
    allow_headers=["*"],
)


@app.on_event("startup")
def startup():
    init_db(os.environ.get("SQLALCHEMY_URL", "sqlite:////tmp/terrassumptions.db"), connect_args={"check_same_thread": False})
